Skip to main content
POST
/
v1
/
my
/
lists
Create a contact list
curl --request POST \
  --url https://api.nitrosend.com/v1/my/lists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "segment_id": 123,
  "contact_ids": [
    123
  ]
}
'
{
  "id": 123,
  "account_id": 123,
  "name": "<string>",
  "contacts_count": 123,
  "segment_id": 123,
  "stale": true,
  "last_populated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.

Body

application/json
name
string
required
segment_id
integer | null
contact_ids
integer[]

Response

List created

id
integer
account_id
integer
name
string
contacts_count
integer
segment_id
integer | null
stale
boolean
last_populated_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>